package org.jeecg.modules.ctop.job;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.common.module.utils.CtopAdConstant;
import cn.com.ctop.kuaishou.modules.batch.service.IKuaishouInterfaceService;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.util.DateUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;

/**
 * @author syh
 */
@Slf4j
public class KuaishouDailyReportLoadJob implements Job {
    @Autowired
    private ICtopOauthTokenService tokenService;
    @Autowired
    private IKuaishouInterfaceService kuaishouInterfaceService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        Date deleteDate = DateUtils.addDay(new Date(), -2);
        kuaishouInterfaceService.deleteHourlyReport(deleteDate);
        Date getDate = DateUtils.addDay(new Date(), -1);
        //1:查询当日数据
        List<CtopOauthToken> tokens = tokenService.getTokenListByType(CtopAdConstant.PLATFORM_TYPE_KUAISHOU);
        if (null == tokens || tokens.size() <= 0) {
            log.info("定时获取头条数据异常：为获取到可用的token");
            return;
        }

        log.info("快手物料数据同步完成");

        tokens.forEach(token -> {
            //1: 获取广告主信息数据
            kuaishouInterfaceService.getAdvertiserReportDaily(token, getDate, getDate);
            //2：获取广告计划信息数据
            kuaishouInterfaceService.getAdvertiserCampaignReportDaily(token, getDate, getDate);
            //3：获取广告组信息数据
            kuaishouInterfaceService.getAdvertiserGroupReportDaily(token, getDate, getDate);
            //4: 获取广告创意信息数据
            kuaishouInterfaceService.getAdvertiserCreativeReportDaily(token, getDate, getDate);
//            kuaishouInterfaceService.loadAdvertiserCreativeReportDailyStatistic(token, getDate);
        });
    }
}
