package org.jeecg.modules.fileupload.controller;

import cn.com.ctop.common.module.service.IMaterialInfoService;
import com.alibaba.fastjson.JSONObject;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.vo.LoginUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 素材库工具接口
 *
 * @author jeecg-boot
 */
@RestController
public class FileController {
    @Autowired
    private IMaterialInfoService materialInfoService;

    @RequestMapping("file/check")
    public Map<String, Object> chenckFile(String code) {
        return materialInfoService.checkMaterialInfo(code);
    }

    @PostMapping("file/insert")
    public Map<String, Object> insertFile(@RequestBody JSONObject json) {
        LoginUser user = (LoginUser) SecurityUtils.getSubject()
                .getPrincipal();

        json.put("userId", user.getId());
        return materialInfoService.insert(json);
    }
}
