package cn.com.ctop.kuaishou.modules.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Description: 快手-创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_creative")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_creative对象", description = "快手-创意信息")
public class KuaiShouCreative {

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 广告计划ID
     */
    @Excel(name = "广告计划ID", width = 15)
    @ApiModelProperty(value = "广告计划ID")
    private Long campaignId;
    /**
     * 广告组ID
     */
    @Excel(name = "广告组ID", width = 15)
    @ApiModelProperty(value = "广告组ID")
    private Long unitId;
    /**
     * 广告创意ID
     */
    @Excel(name = "广告创意ID", width = 15)
    @ApiModelProperty(value = "广告创意ID")
    private Long creativeId;
    /**
     * 广告创意名称
     */
    @Excel(name = "广告创意名称", width = 15)
    @ApiModelProperty(value = "广告创意名称")
    private String creativeName;
    /**
     * 视频作品ID
     */
    @Excel(name = "视频作品ID", width = 15)
    @ApiModelProperty(value = "视频作品ID")
    private String photoId;
    /**
     * 广告创意状态
     */
    @Excel(name = "广告创意状态", width = 15)
    @ApiModelProperty(value = "广告创意状态")
    private Integer status;
    /**
     * 审核拒绝理由
     */
    @Excel(name = "审核拒绝理由", width = 15)
    @ApiModelProperty(value = "审核拒绝理由")
    private String reviewDetail;
    /**
     * 封面URL
     */
    @Excel(name = "封面URL", width = 15)
    @ApiModelProperty(value = "封面URL")
    private String coverUrl;
    /**
     * 封面图宽度
     */
    @Excel(name = "封面图宽度", width = 15)
    @ApiModelProperty(value = "封面图宽度")
    private String coverWidth;
    /**
     * 封面图高度
     */
    @Excel(name = "封面图高度", width = 15)
    @ApiModelProperty(value = "封面图高度")
    private String coverHeight;
    /**
     * description
     */
    @Excel(name = "description", width = 15)
    @ApiModelProperty(value = "description")
    private String description;
    /**
     * 行动号召按钮文案
     */
    @Excel(name = "行动号召按钮文案", width = 15)
    @ApiModelProperty(value = "行动号召按钮文案")
    private String actionBarText;
    /**
     * 点击测试链接
     */
    @Excel(name = "点击测试链接", width = 15)
    @ApiModelProperty(value = "点击测试链接")
    private String clickTrackUrl;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
