package cn.com.ctop.bytedance.controller;


import cn.com.ctop.bytedance.service.IMaterialReportService;
import cn.com.ctop.common.module.entity.UserAllocation;
import cn.com.ctop.common.module.utils.Check;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping("/materialReport")
public class MaterialReportController {
    @Autowired
    private IMaterialReportService materialReportService;


    @PostMapping(value = "/getKuaiShouMaterialMarket")
    public List<JSONObject> getKuaiShouMaterialMarket(@RequestBody JSONObject json) {
        List<JSONObject> marketJson = materialReportService.getKuaiShouMaterialMarket(json);
        return marketJson;
    }


    @PostMapping(value = "/getKuaiShouChainRatio")
    public JSONObject getKuaiShouChainRatio(@RequestBody JSONObject json) {
        JSONObject marketJson = materialReportService.getKuaiShouChainRatio(json);
        return marketJson;

    }


    @PostMapping(value = "/getMaterialAccount")
    public List<UserAllocation> getKuaiShouChainRatio(@RequestBody String userId) {
        if (Check.isNull(userId)) {
            return null;
        }
        List<UserAllocation> accountIdList = materialReportService.selectAccountIds(userId);
        return accountIdList;

    }


    @PostMapping(value = "/getMaterialReportByAccount")
    public List<JSONObject> getMaterialReportByAccount(@RequestBody JSONObject json) {

        List<JSONObject> reportList = materialReportService.selectReportByAccountIds(json);
        return reportList;

    }

}
