package cn.com.ctop.bytedance.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 广告创意日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
@Data
@TableName("ctop_bytedance_report_creative_hourly")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_report_creative_hourly对象", description = "广告创意日报表信息")
public class BytedanceCreativeHourlyReport {

    /**
     * id
     */
    @TableId
    @ApiModelProperty(value = "id")
    private String id;
    /**
     * 广告主id
     */
    @Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
    private Long advertiserId;
    /**
     * 数据起始时间
     */
    @Excel(name = "数据起始时间", width = 15)
    @ApiModelProperty(value = "数据起始时间")
    private String statDatetime;
    /**
     * 展示量
     */
    @Excel(name = "展示量", width = 15)
    @ApiModelProperty(value = "展示量")
    private Long showNum;
    /**
     * 点击量
     */
    @Excel(name = "点击量", width = 15)
    @ApiModelProperty(value = "点击量")
    private Long click;
    /**
     * 转化量
     */
    @Excel(name = "转化量", width = 15)
    @ApiModelProperty(value = "转化量")
    private Long convertNum;
    /**
     * 总花费
     */
    @Excel(name = "总花费", width = 15)
    @ApiModelProperty(value = "总花费")
    private BigDecimal cost;
    /**
     * 应用下载-激活
     */
    @Excel(name = "应用下载-激活", width = 15)
    @ApiModelProperty(value = "应用下载-激活")
    private Long active;
    /**
     * 应用下载-安卓下载完成
     */
    @Excel(name = "应用下载-安卓下载完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载完成")
    private Long downloadFinish;
    /**
     * 应用下载-安卓下载开始
     */
    @Excel(name = "应用下载-安卓下载开始", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载开始")
    private Long downloadStart;
    /**
     * 应用下载-点击安装数
     */
    @Excel(name = "应用下载-点击安装数", width = 15)
    @ApiModelProperty(value = "应用下载-点击安装数")
    private Long clickInstall;
    /**
     * 应用下载-安卓安装完成
     */
    @Excel(name = "应用下载-安卓安装完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓安装完成")
    private Long installFinish;
    /**
     * 应用下载-注册
     */
    @Excel(name = "应用下载-注册", width = 15)
    @ApiModelProperty(value = "应用下载-注册")
    private Long register;
    /**
     * 应用下载-付费数
     */
    @Excel(name = "应用下载-付费数", width = 15)
    @ApiModelProperty(value = "应用下载-付费数")
    private Long payCount;
    /**
     * 应用下载-到达uv
     */
    @Excel(name = "应用下载-到达uv", width = 15)
    @ApiModelProperty(value = "应用下载-到达uv")
    private Long inAppUv;
    /**
     * 应用下载-详情页到站uv
     */
    @Excel(name = "应用下载-详情页到站uv", width = 15)
    @ApiModelProperty(value = "应用下载-详情页到站uv")
    private Long inAppDetailUv;
    /**
     * 应用下载-加入购物车
     */
    @Excel(name = "应用下载-加入购物车", width = 15)
    @ApiModelProperty(value = "应用下载-加入购物车")
    private Long inAppCart;
    /**
     * 应用下载-提交订单
     */
    @Excel(name = "应用下载-提交订单", width = 15)
    @ApiModelProperty(value = "应用下载-提交订单")
    private Long inAppOrder;
    /**
     * 应用下载-付费
     */
    @Excel(name = "应用下载-付费", width = 15)
    @ApiModelProperty(value = "应用下载-付费")
    private Long inAppPay;
    /**
     * 落地页-电话拨打数
     */
    @Excel(name = "落地页-电话拨打数", width = 15)
    @ApiModelProperty(value = "落地页-电话拨打数")
    private Long phone;
    /**
     * 表单提交数
     */
    @Excel(name = "表单提交数", width = 15)
    @ApiModelProperty(value = "表单提交数")
    private Long form;
    /**
     * 落地页-地图搜索
     */
    @Excel(name = "落地页-地图搜索", width = 15)
    @ApiModelProperty(value = "落地页-地图搜索")
    private Long mapSearch;
    /**
     * 落地页-按钮button
     */
    @Excel(name = "落地页-按钮button", width = 15)
    @ApiModelProperty(value = "落地页-按钮button")
    private Long button;
    /**
     * 落地页-关键页面浏览
     */
    @Excel(name = "落地页-关键页面浏览", width = 15)
    @ApiModelProperty(value = "落地页-关键页面浏览")
    private Long view;
    /**
     * 落地页-QQ咨询数
     */
    @Excel(name = "落地页-QQ咨询数", width = 15)
    @ApiModelProperty(value = "落地页-QQ咨询数")
    private Long qq;
    /**
     * 落地页-抽奖数
     */
    @Excel(name = "落地页-抽奖数", width = 15)
    @ApiModelProperty(value = "落地页-抽奖数")
    private Long lottery;
    /**
     * 落地页-投票
     */
    @Excel(name = "落地页-投票", width = 15)
    @ApiModelProperty(value = "落地页-投票")
    private Long vote;
    /**
     * 落地页-页面跳转
     */
    @Excel(name = "落地页-页面跳转", width = 15)
    @ApiModelProperty(value = "落地页-页面跳转")
    private Long redirect;
    /**
     * 落地页-商品购买
     */
    @Excel(name = "落地页-商品购买", width = 15)
    @ApiModelProperty(value = "落地页-商品购买")
    private Long shopping;
    /**
     * 落地页-在线咨询
     */
    @Excel(name = "落地页-在线咨询", width = 15)
    @ApiModelProperty(value = "落地页-在线咨询")
    private Long consult;
    /**
     * 落地页-微信
     */
    @Excel(name = "落地页-微信", width = 15)
    @ApiModelProperty(value = "落地页-微信")
    private Long wechat;
    /**
     * 落地页-智能电话确认拨打
     */
    @Excel(name = "落地页-智能电话确认拨打", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认拨打")
    private Long phoneConfirm;
    /**
     * 落地页-智能电话确认接通
     */
    @Excel(name = "落地页-智能电话确认接通", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认接通")
    private Long phoneConnect;
    /**
     * 落地页-智能电话有效咨询
     */
    @Excel(name = "落地页-智能电话有效咨询", width = 15)
    @ApiModelProperty(value = "落地页-智能电话有效咨询")
    private Long consultEffective;
    /**
     * 视频-总播放
     */
    @Excel(name = "视频-总播放", width = 15)
    @ApiModelProperty(value = "视频-总播放")
    private Long totalPlay;
    /**
     * 视频-有效播放
     */
    @Excel(name = "视频-有效播放", width = 15)
    @ApiModelProperty(value = "视频-有效播放")
    private Long validPlay;
    /**
     * 视频-wifi播放
     */
    @Excel(name = "视频-wifi播放", width = 15)
    @ApiModelProperty(value = "视频-wifi播放")
    private Long wifiPlay;
    /**
     * 视频-播放时长，单位ms
     */
    @Excel(name = "视频-播放时长，单位ms", width = 15)
    @ApiModelProperty(value = "视频-播放时长，单位ms")
    private Long playDurationSum;
    /**
     * 视频-播放25%进度总数
     */
    @Excel(name = "视频-播放25%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度总数")
    private Long play25FeedBreak;
    /**
     * 视频-播放50%进度总数
     */
    @Excel(name = "视频-播放50%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放50%进度总数")
    private Long play50FeedBreak;
    /**
     * 视频-播放75%进度总数
     */
    @Excel(name = "视频-播放75%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放75%进度总数")
    private Long play75FeedBreak;
    /**
     * 视频-播放100%进度总数
     */
    @Excel(name = "视频-播放100%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放100%进度总数")
    private Long play100FeedBreak;
    /**
     * 附加创意-电话按钮
     */
    @Excel(name = "附加创意-电话按钮", width = 15)
    @ApiModelProperty(value = "附加创意-电话按钮")
    private Long advancedCreativePhoneClick;
    /**
     * 附加创意-在线咨询
     */
    @Excel(name = "附加创意-在线咨询", width = 15)
    @ApiModelProperty(value = "附加创意-在线咨询")
    private Long advancedCreativeCounselClick;
    /**
     * 附加创意-表单提交
     */
    @Excel(name = "附加创意-表单提交", width = 15)
    @ApiModelProperty(value = "附加创意-表单提交")
    private Long advancedCreativeFormClick;
    /**
     * 互动数据-分享数
     */
    @Excel(name = "互动数据-分享数", width = 15)
    @ApiModelProperty(value = "互动数据-分享数")
    private Long share;
    /**
     * 互动数据-评论数
     */
    @Excel(name = "互动数据-评论数", width = 15)
    @ApiModelProperty(value = "互动数据-评论数")
    private Long comment;
    /**
     * 互动数据-点赞数
     */
    @Excel(name = "互动数据-点赞数", width = 15)
    @ApiModelProperty(value = "互动数据-点赞数")
    private Long likeNum;
    /**
     * 互动数据-关注数
     */
    @Excel(name = "互动数据-关注数", width = 15)
    @ApiModelProperty(value = "互动数据-关注数")
    private Long follow;
    /**
     * 互动数据-主页访问量
     */
    @Excel(name = "互动数据-主页访问量", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量")
    private Long homeVisited;
    /**
     * 互动数据-挑战赛查看数
     */
    @Excel(name = "互动数据-挑战赛查看数", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数")
    private Long iesChallengeClick;
    /**
     * 互动数据-音乐查看数
     */
    @Excel(name = "互动数据-音乐查看数", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数")
    private Long iesMusicClick;
    /**
     * 互动数据-单次互动成本
     */
    @Excel(name = "互动数据-单次互动成本", width = 15)
    @ApiModelProperty(value = "互动数据-单次互动成本")
    private BigDecimal interactPerCost;
    /**
     * 次留数
     */
    @Excel(name = "次留数", width = 15)
    @ApiModelProperty(value = "次留数")
    private Long nextDayOpen;
    /**
     * 次留率
     */
    @Excel(name = "次留率", width = 15)
    @ApiModelProperty(value = "次留率")
    private BigDecimal nextDayOpenRate;
    /**
     * 次留成本
     */
    @Excel(name = "次留成本", width = 15)
    @ApiModelProperty(value = "次留成本")
    private BigDecimal nextDayOpenCost;
    /**
     * 广告组id
     */
    @Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告组id")
    private Long adId;
    /**
     * 广告组名称
     */
    @Excel(name = "广告组名称", width = 15)
    @ApiModelProperty(value = "广告组名称")
    private String adName;
    /**
     * campaignId
     */
    @Excel(name = "campaignId", width = 15)
    @ApiModelProperty(value = "campaignId")
    private Long campaignId;
    @Excel(name = "创意id", width = 15)
    @ApiModelProperty(value = "创意id")
    private Long creativeId;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;

    public BytedanceCreativeHourlyReport(JSONObject data, Long setAdvertiserId) {
        Long playFeedBreak75 = data.getLong("play_75_feed_break");
        if (null != playFeedBreak75) {
            this.play75FeedBreak = playFeedBreak75;
        }
        Long next_day_open = data.getLong("next_day_open");
        if (null != next_day_open) {
            this.nextDayOpen = next_day_open;
        }
        Long convert = data.getLong("convert");
        if (null != convert) {
            this.convertNum = convert;
        }
        Long in_app_cart = data.getLong("in_app_cart");
        if (null != in_app_cart) {
            this.inAppCart = in_app_cart;
        }
        Long play_25_feed_break = data.getLong("play_25_feed_break");
        if (null != play_25_feed_break) {
            this.play25FeedBreak = play_25_feed_break;
        }
        Long consult_effective = data.getLong("consult_effective");
        if (null != consult_effective) {
            this.consultEffective = consult_effective;
        }
        Long view = data.getLong("view");
        if (null != view) {
            this.view = view;
        }
        Long phone_confirm = data.getLong("phone_confirm");
        if (null != phone_confirm) {
            this.phoneConfirm = phone_confirm;
        }
        Long ies_music_click = data.getLong("ies_music_click");
        if (null != ies_music_click) {
            this.iesMusicClick = ies_music_click;
        }
        Long wifi_play = data.getLong("wifi_play");
        if (null != wifi_play) {
            this.wifiPlay = wifi_play;
        }
        String stat_datetime = data.getString("stat_datetime");
        if (null != stat_datetime && !"".equals(stat_datetime.trim())) {
            this.statDatetime = stat_datetime;
        }
        Long shopping = data.getLong("shopping");
        if (null != shopping) {
            this.shopping = shopping;
        }
        Long qq = data.getLong("qq");
        if (null != qq) {
            this.qq = qq;
        }
        Long like = data.getLong("like");
        if (null != like) {
            this.likeNum = like;
        }
        Long play_50_feed_break = data.getLong("play_50_feed_break");
        if (null != play_50_feed_break) {
            this.play50FeedBreak = play_50_feed_break;
        }
        Long active = data.getLong("active");
        if (null != active) {
            this.active = active;
        }
        Long click = data.getLong("click");
        if (null != click) {
            this.click = click;
        }
        Long advanced_creative_phone_click = data.getLong("advanced_creative_phone_click");
        if (null != advanced_creative_phone_click) {
            this.advancedCreativePhoneClick = advanced_creative_phone_click;
        }
        Long download_start = data.getLong("download_start");
        if (null != download_start) {
            this.downloadStart = download_start;
        }
        Long home_visited = data.getLong("home_visited");
        if (null != home_visited) {
            this.homeVisited = home_visited;
        }
        Long phone = data.getLong("phone");
        if (null != phone) {
            this.phone = phone;
        }
        Long in_app_pay = data.getLong("in_app_pay");
        if (null != in_app_pay) {
            this.inAppPay = in_app_pay;
        }
        BigDecimal next_day_open_cost = data.getBigDecimal("next_day_open_cost");
        if (null != next_day_open_cost) {
            this.nextDayOpenCost = next_day_open_cost;
        }
        Long ies_challenge_click = data.getLong("ies_challenge_click");
        if (null != ies_challenge_click) {
            this.iesChallengeClick = ies_challenge_click;
        }
        Long total_play = data.getLong("total_play");
        if (null != total_play) {
            this.totalPlay = total_play;
        }
        Long show = data.getLong("show");
        if (null != show) {
            this.showNum = show;
        }
        BigDecimal next_day_open_rate = data.getBigDecimal("next_day_open_rate");
        if (null != next_day_open_rate) {
            this.nextDayOpenRate = next_day_open_rate;
        }
        Long map_search = data.getLong("map_search");
        if (null != map_search) {
            this.mapSearch = map_search;
        }
        Long click_install = data.getLong("click_install");
        if (null != click_install) {
            this.clickInstall = click_install;
        }
        BigDecimal interact_per_cost = data.getBigDecimal("interact_per_cost");
        if (null != interact_per_cost) {
            this.interactPerCost = interact_per_cost;
        }
        Long advertiser_id = data.getLong("advertiser_id");
        if (null != advertiser_id) {
            this.advertiserId = advertiser_id;
        } else {
            this.advertiserId = setAdvertiserId;
        }
        Long button = data.getLong("button");
        if (null != button) {
            this.button = button;
        }
        Long play_duration_sum = data.getLong("play_duration_sum");
        if (null != play_duration_sum) {
            this.playDurationSum = play_duration_sum;
        }
        Long play_100_feed_break = data.getLong("play_100_feed_break");
        if (null != play_100_feed_break) {
            this.play100FeedBreak = play_100_feed_break;
        }
        Long advanced_creative_counsel_click = data.getLong("advanced_creative_counsel_click");
        if (null != advanced_creative_counsel_click) {
            this.advancedCreativeCounselClick = advanced_creative_counsel_click;
        }
        Long share = data.getLong("share");
        if (null != share) {
            this.share = share;
        }
        Long consult = data.getLong("consult");
        if (null != consult) {
            this.consult = consult;
        }
        Long vote = data.getLong("vote");
        if (null != vote) {
            this.vote = vote;
        }
        Long valid_play = data.getLong("valid_play");
        if (null != valid_play) {
            this.validPlay = valid_play;
        }
        Long redirect = data.getLong("redirect");
        if (null != redirect) {
            this.redirect = redirect;
        }
        Long pay_count = data.getLong("pay_count");
        if (null != pay_count) {
            this.payCount = pay_count;
        }
        Long advanced_creative_form_click = data.getLong("advanced_creative_form_click");
        if (null != advanced_creative_form_click) {
            this.advancedCreativeFormClick = advanced_creative_form_click;
        }
        BigDecimal cost = data.getBigDecimal("cost");
        if (null != cost) {
            this.cost = cost;
        }
        Long download_finish = data.getLong("download_finish");
        if (null != download_finish) {
            this.downloadFinish = download_finish;
        }
        Long wechat = data.getLong("wechat");
        if (null != wechat) {
            this.wechat = wechat;
        }
        Long lottery = data.getLong("lottery");
        if (null != lottery) {
            this.lottery = lottery;
        }
        Long in_app_order = data.getLong("in_app_order");
        if (null != in_app_order) {
            this.inAppOrder = in_app_order;
        }
        Long install_finish = data.getLong("install_finish");
        if (null != install_finish) {
            this.installFinish = install_finish;
        }
        Long follow = data.getLong("follow");
        if (null != follow) {
            this.follow = follow;
        }
//		Long message = data.getLong("message");
//		if(null!=message){
//			this.message = message;
//		}
        Long in_app_detail_uv = data.getLong("in_app_detail_uv");
        if (null != in_app_detail_uv) {
            this.inAppDetailUv = in_app_detail_uv;
        }
        Long form = data.getLong("form");
        if (null != form) {
            this.form = form;
        }
//		BigDecimal convert_cost = data.getBigDecimal("convert_cost");
//		if(null!=convert_cost){
//			this.convertCost = convert_cost;
//		}
        Long comment = data.getLong("comment");
        if (null != comment) {
            this.comment = comment;
        }
        Long in_app_uv = data.getLong("in_app_uv");
        if (null != in_app_uv) {
            this.inAppUv = in_app_uv;
        }
        Long register = data.getLong("register");
        if (null != register) {
            this.register = register;
        }
        Long campaignId = data.getLong("campaign_id");
        if (null != campaignId) {
            this.campaignId = campaignId;
        }
        String adName = data.getString("ad_name");
        if (null != adName) {
            this.adName = adName;
        }
        Long adId = data.getLong("ad_id");
        if (null != adId) {
            this.adId = adId;
        }
        Long creative_id = data.getLong("creative_id");
        if (null != creative_id) {
            this.creativeId = creative_id;
        }
        this.id = "" + this.creativeId + this.statDatetime.substring(0, 13).replace(" ", "");
        this.createTime = new Date();
        this.updateTime = new Date();

    }

    public BytedanceCreativeHourlyReport() {
    }
}
