package cn.com.ctop.toutiao.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 今日头条广告计划信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-07-22
 */
@Data
@TableName("ctop_bytedance_advertise_plan")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_advertise_plan对象", description = "今日头条广告计划信息")
public class ByteDanceAdvertisePlan {

    /**
     * 头条平台广告计划id
     */
    @TableId
    @ApiModelProperty(value = "头条平台广告计划id")
    private Long id;
    /**
     * 平台广告主id
     */
    @Excel(name = "平台广告主id", width = 15)
    @ApiModelProperty(value = "平台广告主id")
    private String advertiserId;
    /**
     * 头条广告主id
     */
    @Excel(name = "头条广告主id", width = 15)
    @ApiModelProperty(value = "头条广告主id")
    private Long toutiaoId;
    /**
     * 计划名称
     */
    @Excel(name = "计划名称", width = 15)
    @ApiModelProperty(value = "计划名称")
    private String name;
    /**
     * 广告组id
     */
    @Excel(name = "广告组id", width = 15)
    @ApiModelProperty(value = "广告组id")
    private Long campaignId;
    /**
     * 上次修改时间戳(用于更新时提交,服务端判断是否基于最新信息修改)
     */
    @Excel(name = "上次修改时间戳(用于更新时提交,服务端判断是否基于最新信息修改)", width = 15)
    @ApiModelProperty(value = "上次修改时间戳(用于更新时提交,服务端判断是否基于最新信息修改)")
    private String planModifyTime;
    /**
     * 投放范围
     */
    @Excel(name = "投放范围", width = 15)
    @ApiModelProperty(value = "投放范围")
    private String deliveryRange;
    /**
     * 计划上次修改时间
     */
    @Excel(name = "计划上次修改时间", width = 15)
    @ApiModelProperty(value = "计划上次修改时间")
    private String adModifyTime;
    /**
     * 计划创建时间
     */
    @Excel(name = "计划创建时间", width = 15)
    @ApiModelProperty(value = "计划创建时间")
    private String adCreateTime;
    /**
     * 广告预算类型
     */
    @Excel(name = "广告预算类型", width = 15)
    @ApiModelProperty(value = "广告预算类型")
    private String budgetMode;
    /**
     * 广告预算
     */
    @Excel(name = "广告预算", width = 15)
    @ApiModelProperty(value = "广告预算")
    private BigDecimal budget;
    /**
     * 广告计划投放状态
     */
    @Excel(name = "广告计划投放状态", width = 15)
    @ApiModelProperty(value = "广告计划投放状态")
    private String toutiaoStatus;
    /**
     * 广告计划操作状态
     */
    @Excel(name = "广告计划操作状态", width = 15)
    @ApiModelProperty(value = "广告计划操作状态")
    private String optStatus;
    /**
     * 广告投放起始时间
     */
    @Excel(name = "广告投放起始时间", width = 15)
    @ApiModelProperty(value = "广告投放起始时间")
    private String startTime;
    /**
     * 广告投放结束时间
     */
    @Excel(name = "广告投放结束时间", width = 15)
    @ApiModelProperty(value = "广告投放结束时间")
    private String endTime;
    /**
     * 广告出价
     */
    @Excel(name = "广告出价", width = 15)
    @ApiModelProperty(value = "广告出价")
    private BigDecimal bid;
    /**
     * 广告出价类型
     */
    @Excel(name = "广告出价类型", width = 15)
    @ApiModelProperty(value = "广告出价类型")
    private String pricing;
    /**
     * 广告投放时间类型
     */
    @Excel(name = "广告投放时间类型", width = 15)
    @ApiModelProperty(value = "广告投放时间类型")
    private String scheduleType;
    /**
     * 广告投放时段
     */
    @Excel(name = "广告投放时段", width = 15)
    @ApiModelProperty(value = "广告投放时段")
    private String scheduleTime;
    /**
     * 广告投放速度类型
     */
    @Excel(name = "广告投放速度类型", width = 15)
    @ApiModelProperty(value = "广告投放速度类型")
    private String flowControlMode;
    /**
     * 应用直达链接
     */
    @Excel(name = "应用直达链接", width = 15)
    @ApiModelProperty(value = "应用直达链接")
    private String openUrl;
    /**
     * 应用下载方式
     */
    @Excel(name = "应用下载方式", width = 15)
    @ApiModelProperty(value = "应用下载方式")
    private String downloadType;
    /**
     * 广告落地页链接
     */
    @Excel(name = "广告落地页链接", width = 15)
    @ApiModelProperty(value = "广告落地页链接")
    private String externalUrl;
    /**
     * 广告应用下载包名
     */
    @Excel(name = "广告应用下载包名", width = 15)
    @ApiModelProperty(value = "广告应用下载包名")
    private String toutiaoPackage;
    /**
     * 广告应用下载类型
     */
    @Excel(name = "广告应用下载类型", width = 15)
    @ApiModelProperty(value = "广告应用下载类型")
    private String appType;
    /**
     * 广告计划审核不通过原因
     */
    @Excel(name = "广告计划审核不通过原因", width = 15)
    @ApiModelProperty(value = "广告计划审核不通过原因")
    private String auditRejectReason;
    /**
     * ocpc广告转化出价
     */
    @Excel(name = "ocpc广告转化出价", width = 15)
    @ApiModelProperty(value = "ocpc广告转化出价")
    private BigDecimal cpaBid;
    /**
     * ocpc广告是否跳过第一阶段
     */
    @Excel(name = "ocpc广告是否跳过第一阶段", width = 15)
    @ApiModelProperty(value = "ocpc广告是否跳过第一阶段")
    private Integer cpaSkipFirstPhrase;
    /**
     * 转化类型广告的转化工具id
     */
    @Excel(name = "转化类型广告的转化工具id", width = 15)
    @ApiModelProperty(value = "转化类型广告的转化工具id")
    private Long convertId;
    /**
     * 过滤已转化用户类型字段
     */
    @Excel(name = "过滤已转化用户类型字段", width = 15)
    @ApiModelProperty(value = "过滤已转化用户类型字段")
    private String hideIfConverted;
    /**
     * 过滤已安装，当推广目标为安卓应用下载时可填
     */
    @Excel(name = "过滤已安装，当推广目标为安卓应用下载时可填", width = 15)
    @ApiModelProperty(value = "过滤已安装，当推广目标为安卓应用下载时可填")
    private Integer hideIfExists;
    /**
     * audience
     */
    @Excel(name = "audience", width = 15)
    @ApiModelProperty(value = "audience")
    private Object audience;
    @Excel(name = "上次修改时间", width = 15)
    @ApiModelProperty(value = "上次修改时间")
    private String modifyTime;

    public ByteDanceAdvertisePlan(JSONObject dataObject, String accountId) {
        Long id = dataObject.getLong("id");
        this.id = id;
        this.advertiserId = accountId;
        String name = dataObject.getString("name");
        if (null != name && !"".equals(name.trim())) {
            this.name = name;
        }

        Long advertiserId = dataObject.getLong("advertiser_id");
        if (null != advertiserId) {
            this.toutiaoId = advertiserId;
        }
        Long campaignId = dataObject.getLong("campaign_id");
        if (null != campaignId) {
            this.campaignId = campaignId;
        }

        String budgetMode = dataObject.getString("budget_mode");
        if (null != budgetMode && !"".equals(budgetMode.trim())) {
            this.budgetMode = budgetMode;
        }
        String modifyTime = dataObject.getString("modify_time");
        if (null != modifyTime && !"".equals(modifyTime.trim())) {
            this.modifyTime = modifyTime;
        }
        String openUrl = dataObject.getString("open_url");
        if (null != openUrl && !"".equals(openUrl.trim())) {
            this.openUrl = openUrl;
        }

        String adCreateTime = dataObject.getString("ad_create_time");
        if (null != adCreateTime && !"".equals(adCreateTime.trim())) {
            this.adCreateTime = adCreateTime;
        }

        String adModifyTime = dataObject.getString("ad_modify_time");
        if (null != adModifyTime && !"".equals(adModifyTime.trim())) {
            this.adModifyTime = adModifyTime;
        }

        String auditRejectReason = dataObject.getString("audit_reject_reason");
        if (null != auditRejectReason && !"".equals(auditRejectReason.trim())) {
            this.auditRejectReason = auditRejectReason;
        }

//        String dpa_open_url_field = dataObject.getString("dpa_open_url_field");
//        if (null!=dpa_open_url_field&&!"".equals(dpa_open_url_field.trim())){
//            this.dpa =dpa_open_url_field;
//        }

//        String external_url_params = dataObject.getString("external_url_params");
//        if (null!=external_url_params&&!"".equals(external_url_params.trim())){
//            this.externalUrlParams =external_url_params;
//        }

        String pricing = dataObject.getString("pricing");
        if (null != pricing && !"".equals(pricing.trim())) {
            this.pricing = pricing;
        }

//        String dpa_open_url_type = dataObject.getString("dpa_open_url_type");
//        if (null!=dpa_open_url_type&&!"".equals(dpa_open_url_type.trim())){
//            this.dpaOpenUrlType =dpa_open_url_type;
//        }

//        String dpa_categories = dataObject.getString("dpa_categories");
//        if (null!=dpa_categories&&!"".equals(dpa_categories.trim())){
//            this.dpaCategories =dpa_categories;
//        }

        Integer hideIfExists = dataObject.getInteger("hide_if_exists");
        if (null != hideIfExists) {
            this.hideIfExists = hideIfExists;
        }

//        String open_url_params = dataObject.getString("open_url_params");
//        if (null!=open_url_params&&!"".equals(open_url_params.trim())){
//            this.openUrlParams =open_url_params;
//        }

//        String dpa_open_urls = dataObject.getString("dpa_open_urls");
//        if (null!=dpa_open_urls&&!"".equals(dpa_open_urls.trim())){
//            this.dpaOpenUrls =dpa_open_urls;
//        }

//        String deep_cpabid = dataObject.getString("deep_cpabid");
//        if (null!=deep_cpabid&&!"".equals(deep_cpabid.trim())){
//            this.deepCpaaid =deep_cpabid;
//        }

        String appType = dataObject.getString("app_type");
        if (null != appType && !"".equals(appType.trim())) {
            this.appType = appType;
        }

        String flowControlMode = dataObject.getString("flow_control_mode");
        if (null != flowControlMode && !"".equals(flowControlMode.trim())) {
            this.flowControlMode = flowControlMode;
        }

//        String union_video_type = dataObject.getString("union_video_type");
//        if (null!=union_video_type&&!"".equals(union_video_type.trim())){
//            this.unionVideoType =union_video_type;
//        }

//        String download_url = dataObject.getString("download_url");
//        if (null!=download_url&&!"".equals(download_url.trim())){
//            this.downloadUrl =download_url;
//        }

        BigDecimal cpaBid = dataObject.getBigDecimal("cpa_bid");
        if (null != cpaBid) {
            this.cpaBid = cpaBid;
        }

//        String dpa_products = dataObject.getString("dpa_products");
//        if (null!=dpa_products&&!"".equals(dpa_products.trim())){
//            this.dpaProducts =dpa_products;
//        }

//        String category_type = dataObject.getString("category_type");
//        if (null!=category_type&&!"".equals(category_type.trim())){
//            this.categoryType =category_type;
//        }

//        String dpa_external_url_field = dataObject.getString("dpa_external_url_field");
//        if (null!=dpa_external_url_field&&!"".equals(dpa_external_url_field.trim())){
//            this.dpaExternalUrlField =dpa_external_url_field;
//        }

//        String smart_bid_type = dataObject.getString("smart_bid_type");
//        if (null!=smart_bid_type&&!"".equals(smart_bid_type.trim())){
//            this.smartBidType =smart_bid_type;
//        }

//        String dpa_external_urls = dataObject.getString("dpa_external_urls");
//        if (null!=dpa_external_urls&&!"".equals(dpa_external_urls.trim())){
//            this.dpaExternalUrls =dpa_external_urls;
//        }

        String startTime = dataObject.getString("start_time");
        if (null != startTime && !"".equals(startTime.trim())) {
            this.startTime = startTime;
        }

        String optStatus = dataObject.getString("opt_status");
        if (null != optStatus && !"".equals(optStatus.trim())) {
            this.optStatus = optStatus;
        }

        String endTime = dataObject.getString("end_time");
        if (null != endTime && !"".equals(endTime.trim())) {
            this.endTime = endTime;
        }

        String status = dataObject.getString("status");
        if (null != status && !"".equals(status.trim())) {
            this.toutiaoStatus = status;
        }

//        String dpa_product_target = dataObject.getString("dpa_product_target");
//        if (null!=dpa_product_target&&!"".equals(dpa_product_target.trim())){
//            this.dpaProductTarget =dpa_product_target;
//        }

//        Long ad_id = dataObject.getLong("ad_id");
//        if (null!=ad_id){
//            this.openUrl =open_url;
//        }

        Long convertId = dataObject.getLong("convert_id");
        if (null != convertId) {
            this.convertId = convertId;
        }

//        String adjust_cpa = dataObject.getString("adjust_cpa");
//        if (null!=adjust_cpa&&!"".equals(adjust_cpa.trim())){
//            this.adjustCpa =adjust_cpa;
//        }

        BigDecimal bid = dataObject.getBigDecimal("bid");
        if (null != bid) {
            this.bid = bid;
        }

//        Long advertiser_id = dataObject.getLong("advertiser_id");
//        if (null!=advertiser_id){
//            this.asdasd =open_url;
//        }

//        String deep_bid_type = dataObject.getString("deep_bid_type");
//        if (null!=deep_bid_type&&!"".equals(deep_bid_type.trim())){
//            this.deepBidType =deep_bid_type;
//        }
//
//        String dpa_adtype = dataObject.getString("dpa_adtype");
//        if (null!=dpa_adtype&&!"".equals(dpa_adtype.trim())){
//            this.dpaAdtype =dpa_adtype;
//        }

//        String external_actions = dataObject.getString("external_actions");
//        if (null!=external_actions&&!"".equals(external_actions.trim())){
//            this.externalActions =external_actions;
//        }

        String hideIfConverted = dataObject.getString("hide_if_converted");
        if (null != hideIfConverted && !"".equals(hideIfConverted.trim())) {
            this.hideIfConverted = hideIfConverted;
        }

        String toutiaoPackage = dataObject.getString("package");
        if (null != toutiaoPackage && !"".equals(toutiaoPackage.trim())) {
            this.toutiaoPackage = toutiaoPackage;
        }

        String deliveryRange = dataObject.getString("delivery_range");
        if (null != deliveryRange && !"".equals(deliveryRange.trim())) {
            this.deliveryRange = deliveryRange;
        }

//        String params_type = dataObject.getString("params_type");
//        if (null!=params_type&&!"".equals(params_type.trim())){
//            this.paramsType =params_type;
//        }

        BigDecimal budget = dataObject.getBigDecimal("budget");
        if (null != budget) {
            this.budget = budget;
        }

        String scheduleType = dataObject.getString("schedule_type");
        if (null != scheduleType && !"".equals(scheduleType.trim())) {
            this.scheduleType = scheduleType;
        }

        String scheduleTime = dataObject.getString("schedule_time");
        if (null != scheduleTime && !"".equals(scheduleTime.trim())) {
            this.scheduleTime = scheduleTime;
        }
//
//        String modify_time = dataObject.getString("modify_time");
//        if (null!=modify_time&&!"".equals(modify_time.trim())){
//            this.modifyTime =modify_time;
//        }
//
//        String advertiser_store_ids = dataObject.getString("advertiser_store_ids");
//        if (null!=advertiser_store_ids&&!"".equals(advertiser_store_ids.trim())){
//            this.advertiserStoreIds =advertiser_store_ids;
//        }

//        String product_platform_id = dataObject.getString("product_platform_id");
//        if (null!=product_platform_id&&!"".equals(product_platform_id.trim())){
//            this.productPlatformId =product_platform_id;
//        }

        String downloadType = dataObject.getString("download_type");
        if (null != downloadType && !"".equals(downloadType.trim())) {
            this.downloadType = downloadType;
        }

        String externalUrl = dataObject.getString("external_url");
        if (null != externalUrl && !"".equals(externalUrl.trim())) {
            this.externalUrl = externalUrl;
        }
    }

    public ByteDanceAdvertisePlan(String advertiserId, Long adId, JSONObject params) {
        this.id = adId;
        this.advertiserId = advertiserId;
        String name = params.getString("name");
        if (null != name && !"".equals(name.trim())) {
            this.name = name;
        }

        Long toutiaoId = params.getLong("advertiser_id");
        if (null != toutiaoId) {
            this.toutiaoId = toutiaoId;
        }
        Long campaignId = params.getLong("campaign_id");
        if (null != campaignId) {
            this.campaignId = campaignId;
        }

        String budgetMode = params.getString("budget_mode");
        if (null != budgetMode && !"".equals(budgetMode.trim())) {
            this.budgetMode = budgetMode;
        }

        String openUrl = params.getString("open_url");
        if (null != openUrl && !"".equals(openUrl.trim())) {
            this.openUrl = openUrl;
        }

        String adCreateTime = params.getString("ad_create_time");
        if (null != adCreateTime && !"".equals(adCreateTime.trim())) {
            this.adCreateTime = adCreateTime;
        }

        String adModifyTime = params.getString("ad_modify_time");
        if (null != adModifyTime && !"".equals(adModifyTime.trim())) {
            this.adModifyTime = adModifyTime;
        }

        String auditRejectReason = params.getString("audit_reject_reason");
        if (null != auditRejectReason && !"".equals(auditRejectReason.trim())) {
            this.auditRejectReason = auditRejectReason;
        }

//        String dpa_open_url_field = dataObject.getString("dpa_open_url_field");
//        if (null!=dpa_open_url_field&&!"".equals(dpa_open_url_field.trim())){
//            this.dpa =dpa_open_url_field;
//        }

//        String external_url_params = dataObject.getString("external_url_params");
//        if (null!=external_url_params&&!"".equals(external_url_params.trim())){
//            this.externalUrlParams =external_url_params;
//        }

        String pricing = params.getString("pricing");
        if (null != pricing && !"".equals(pricing.trim())) {
            this.pricing = pricing;
        }

//        String dpa_open_url_type = dataObject.getString("dpa_open_url_type");
//        if (null!=dpa_open_url_type&&!"".equals(dpa_open_url_type.trim())){
//            this.dpaOpenUrlType =dpa_open_url_type;
//        }

//        String dpa_categories = dataObject.getString("dpa_categories");
//        if (null!=dpa_categories&&!"".equals(dpa_categories.trim())){
//            this.dpaCategories =dpa_categories;
//        }

        Integer hideIfExists = params.getInteger("hide_if_exists");
        if (null != hideIfExists) {
            this.hideIfExists = hideIfExists;
        }

//        String open_url_params = dataObject.getString("open_url_params");
//        if (null!=open_url_params&&!"".equals(open_url_params.trim())){
//            this.openUrlParams =open_url_params;
//        }

//        String dpa_open_urls = dataObject.getString("dpa_open_urls");
//        if (null!=dpa_open_urls&&!"".equals(dpa_open_urls.trim())){
//            this.dpaOpenUrls =dpa_open_urls;
//        }

//        String deep_cpabid = dataObject.getString("deep_cpabid");
//        if (null!=deep_cpabid&&!"".equals(deep_cpabid.trim())){
//            this.deepCpaaid =deep_cpabid;
//        }

        String appType = params.getString("app_type");
        if (null != appType && !"".equals(appType.trim())) {
            this.appType = appType;
        }

        String flowControlMode = params.getString("flow_control_mode");
        if (null != flowControlMode && !"".equals(flowControlMode.trim())) {
            this.flowControlMode = flowControlMode;
        }

//        String union_video_type = dataObject.getString("union_video_type");
//        if (null!=union_video_type&&!"".equals(union_video_type.trim())){
//            this.unionVideoType =union_video_type;
//        }

//        String download_url = dataObject.getString("download_url");
//        if (null!=download_url&&!"".equals(download_url.trim())){
//            this.downloadUrl =download_url;
//        }

        BigDecimal cpaBid = params.getBigDecimal("cpa_bid");
        if (null != cpaBid) {
            this.cpaBid = cpaBid;
        }

//        String dpa_products = dataObject.getString("dpa_products");
//        if (null!=dpa_products&&!"".equals(dpa_products.trim())){
//            this.dpaProducts =dpa_products;
//        }

//        String category_type = dataObject.getString("category_type");
//        if (null!=category_type&&!"".equals(category_type.trim())){
//            this.categoryType =category_type;
//        }

//        String dpa_external_url_field = dataObject.getString("dpa_external_url_field");
//        if (null!=dpa_external_url_field&&!"".equals(dpa_external_url_field.trim())){
//            this.dpaExternalUrlField =dpa_external_url_field;
//        }

//        String smart_bid_type = dataObject.getString("smart_bid_type");
//        if (null!=smart_bid_type&&!"".equals(smart_bid_type.trim())){
//            this.smartBidType =smart_bid_type;
//        }

//        String dpa_external_urls = dataObject.getString("dpa_external_urls");
//        if (null!=dpa_external_urls&&!"".equals(dpa_external_urls.trim())){
//            this.dpaExternalUrls =dpa_external_urls;
//        }

        String startTime = params.getString("start_time");
        if (null != startTime && !"".equals(startTime.trim())) {
            this.startTime = startTime;
        }

        String optStatus = params.getString("opt_status");
        if (null != optStatus && !"".equals(optStatus.trim())) {
            this.optStatus = optStatus;
        }

        String endTime = params.getString("end_time");
        if (null != endTime && !"".equals(endTime.trim())) {
            this.endTime = endTime;
        }

        String status = params.getString("status");
        if (null != status && !"".equals(status.trim())) {
            this.toutiaoStatus = status;
        }

//        String dpa_product_target = dataObject.getString("dpa_product_target");
//        if (null!=dpa_product_target&&!"".equals(dpa_product_target.trim())){
//            this.dpaProductTarget =dpa_product_target;
//        }

//        Long ad_id = dataObject.getLong("ad_id");
//        if (null!=ad_id){
//            this.openUrl =open_url;
//        }

        Long convertId = params.getLong("convert_id");
        if (null != convertId) {
            this.convertId = convertId;
        }

//        String adjust_cpa = dataObject.getString("adjust_cpa");
//        if (null!=adjust_cpa&&!"".equals(adjust_cpa.trim())){
//            this.adjustCpa =adjust_cpa;
//        }

        BigDecimal bid = params.getBigDecimal("bid");
        if (null != bid) {
            this.bid = bid;
        }

//        Long advertiser_id = dataObject.getLong("advertiser_id");
//        if (null!=advertiser_id){
//            this.asdasd =open_url;
//        }

//        String deep_bid_type = dataObject.getString("deep_bid_type");
//        if (null!=deep_bid_type&&!"".equals(deep_bid_type.trim())){
//            this.deepBidType =deep_bid_type;
//        }
//
//        String dpa_adtype = dataObject.getString("dpa_adtype");
//        if (null!=dpa_adtype&&!"".equals(dpa_adtype.trim())){
//            this.dpaAdtype =dpa_adtype;
//        }

//        String external_actions = dataObject.getString("external_actions");
//        if (null!=external_actions&&!"".equals(external_actions.trim())){
//            this.externalActions =external_actions;
//        }

        String hideIfConverted = params.getString("hide_if_converted");
        if (null != hideIfConverted && !"".equals(hideIfConverted.trim())) {
            this.hideIfConverted = hideIfConverted;
        }

        String toutiaoPackage = params.getString("package");
        if (null != toutiaoPackage && !"".equals(toutiaoPackage.trim())) {
            this.toutiaoPackage = toutiaoPackage;
        }

        String deliveryRange = params.getString("delivery_range");
        if (null != deliveryRange && !"".equals(deliveryRange.trim())) {
            this.deliveryRange = deliveryRange;
        }

//        String params_type = dataObject.getString("params_type");
//        if (null!=params_type&&!"".equals(params_type.trim())){
//            this.paramsType =params_type;
//        }

        BigDecimal budget = params.getBigDecimal("budget");
        if (null != budget) {
            this.budget = budget;
        }

        String scheduleType = params.getString("schedule_type");
        if (null != scheduleType && !"".equals(scheduleType.trim())) {
            this.scheduleType = scheduleType;
        }

        String scheduleTime = params.getString("schedule_time");
        if (null != scheduleTime && !"".equals(scheduleTime.trim())) {
            this.scheduleTime = scheduleTime;
        }
//
//        String modify_time = dataObject.getString("modify_time");
//        if (null!=modify_time&&!"".equals(modify_time.trim())){
//            this.modifyTime =modify_time;
//        }
//
//        String advertiser_store_ids = dataObject.getString("advertiser_store_ids");
//        if (null!=advertiser_store_ids&&!"".equals(advertiser_store_ids.trim())){
//            this.advertiserStoreIds =advertiser_store_ids;
//        }

//        String product_platform_id = dataObject.getString("product_platform_id");
//        if (null!=product_platform_id&&!"".equals(product_platform_id.trim())){
//            this.productPlatformId =product_platform_id;
//        }

        String downloadType = params.getString("download_type");
        if (null != downloadType && !"".equals(downloadType.trim())) {
            this.downloadType = downloadType;
        }

        String externalUrl = params.getString("external_url");
        if (null != externalUrl && !"".equals(externalUrl.trim())) {
            this.externalUrl = externalUrl;
        }
    }

    public ByteDanceAdvertisePlan() {
    }
}
